跳到主要內容

已不再支援此瀏覽器。

請升級至 Microsoft Edge,以利用最新功能、安全性更新和技術支援。

下載 Microsoft Edge Internet Explorer 和 Microsoft Edge 的詳細資訊
microsoft-foundry.rest.security.o-auth2-auth

Schedules

Get a schedule

GET /schedules/{id}

Retrieves the specified schedule resource.

查詢參數

api-version string 必要

The API version to use for this operation.

路徑參數

id string 必要

Identifier of the schedule.

標頭參數

Foundry-Features enum 必要

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

Schedules=V1Preview

回覆

The request has succeeded.

主體

Content-Type: application/json
id string 必要

Identifier of the schedule.

displayName string

Name of the schedule.

description string

Description of the schedule.

enabled boolean 必要

Enabled status of the schedule.

provisioningStatus string | enum

Schedule provisioning status.

以下任何一項:
string
enum
CreatingUpdatingDeletingSucceededFailed
trigger Cron | Recurrence | OneTime 必要

Base model for Trigger of the schedule.

下列其中一項:
Cron CronTrigger

Cron based trigger.

type enum 必要
Cron
expression string 必要

Cron expression that defines the schedule frequency.

timeZone string

Time zone for the cron schedule. Defaults to UTC.

startTime string

Start time for the cron schedule in ISO 8601 format.

endTime string

End time for the cron schedule in ISO 8601 format.

Recurrence RecurrenceTrigger

Recurrence based trigger.

type enum 必要

Type of the trigger.

Recurrence
startTime string

Start time for the recurrence schedule in ISO 8601 format.

endTime string

End time for the recurrence schedule in ISO 8601 format.

timeZone string

Time zone for the recurrence schedule. Defaults to UTC.

interval integer 必要

Interval for the recurrence schedule.

schedule Hourly | Daily | Weekly | Monthly 必要

Recurrence schedule model.

下列其中一項:
Hourly HourlyRecurrenceSchedule

Hourly recurrence schedule.

type enum 必要
Hourly
Daily DailyRecurrenceSchedule

Daily recurrence schedule.

type enum 必要

Daily recurrence type.

Daily
hours integer[] 必要

Hours for the recurrence schedule.

Weekly WeeklyRecurrenceSchedule

Weekly recurrence schedule.

type enum 必要

Weekly recurrence type.

Weekly
daysOfWeek DayOfWeek[] 必要

Days of the week for the recurrence schedule.

Monthly MonthlyRecurrenceSchedule

Monthly recurrence schedule.

type enum 必要

Monthly recurrence type.

Monthly
daysOfMonth integer[] 必要

Days of the month for the recurrence schedule.

OneTime OneTimeTrigger

One-time trigger.

type enum 必要
OneTime
triggerAt string 必要

Date and time for the one-time trigger in ISO 8601 format.

timeZone string

Time zone for the one-time trigger. Defaults to UTC.

task Evaluation | Insight 必要

Schedule task model.

下列其中一項:
Evaluation EvaluationScheduleTask

Evaluation task for the schedule.

type enum 必要
Evaluation
evalId string 必要

Identifier of the evaluation group.

evalRun object 必要

The evaluation run payload.

Insight InsightScheduleTask

Insight task for the schedule.

type enum 必要
Insight
insight Insight 必要

The response body for cluster insights.

id string 必要

The unique identifier for the insights report.

metadata InsightsMetadata 必要

Metadata about the insights.

createdAt string 必要

The timestamp when the insights were created.

completedAt string

The timestamp when the insights were completed.

state enum | string 必要

Enum describing allowed operation states.

以下任何一項:
enum
NotStartedRunningSucceededFailedCanceled
string
displayName string 必要

User friendly display name for the insight.

request EvaluationRunClusterInsight | AgentClusterInsight | EvaluationComparison 必要

The request of the insights report.

下列其中一項:
EvaluationRunClusterInsight EvaluationRunClusterInsightRequest

Insights on set of Evaluation Results

type enum 必要

The type of insights request.

EvaluationRunClusterInsight
evalId string 必要

Evaluation Id for the insights.

runIds string[] 必要

List of evaluation run IDs for the insights.

modelConfiguration InsightModelConfiguration

Configuration of the model used in the insight generation.

modelDeploymentName string 必要

The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.

AgentClusterInsight AgentClusterInsightRequest

Insights on set of Agent Evaluation Results

type enum 必要

The type of request.

AgentClusterInsight
agentName string 必要

Identifier for the agent.

modelConfiguration InsightModelConfiguration

Configuration of the model used in the insight generation.

modelDeploymentName string 必要

The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.

EvaluationComparison EvaluationComparisonInsightRequest

Evaluation Comparison Request

type enum 必要

The type of request.

EvaluationComparison
evalId string 必要

Identifier for the evaluation.

baselineRunId string 必要

The baseline run ID for comparison.

treatmentRunIds string[] 必要

List of treatment run IDs for comparison.

result EvaluationComparison | EvaluationRunClusterInsight | AgentClusterInsight

The result of the insights.

下列其中一項:
EvaluationComparison EvaluationComparisonInsightResult

Insights from the evaluation comparison.

type enum 必要

The type of insights result.

EvaluationComparison
comparisons EvalRunResultComparison[] 必要

Comparison results for each treatment run against the baseline.

method string 必要

The statistical method used for comparison.

EvaluationRunClusterInsight EvaluationRunClusterInsightResult

Insights from the evaluation run cluster analysis.

type enum 必要

The type of insights result.

EvaluationRunClusterInsight
clusterInsight ClusterInsightResult 必要

Insights from the cluster analysis.

summary InsightSummary 必要

Summary of the error cluster analysis.

sampleCount integer 必要

Total number of samples analyzed.

uniqueSubclusterCount integer 必要

Total number of unique subcluster labels.

uniqueClusterCount integer 必要

Total number of unique clusters.

method string 必要

Method used for clustering.

usage ClusterTokenUsage 必要

Token usage for cluster analysis

inputTokenUsage integer 必要

input token usage

outputTokenUsage integer 必要

output token usage

totalTokenUsage integer 必要

total token usage

clusters InsightCluster[] 必要

List of clusters identified in the insights.

coordinates object

Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.

[key: string] ChartCoordinate

Coordinates for the analysis chart.

x integer 必要

X-axis coordinate.

y integer 必要

Y-axis coordinate.

size integer 必要

Size of the chart element.

AgentClusterInsight AgentClusterInsightResult

Insights from the agent cluster analysis.

type enum 必要

The type of insights result.

AgentClusterInsight
clusterInsight ClusterInsightResult 必要

Insights from the cluster analysis.

summary InsightSummary 必要

Summary of the error cluster analysis.

sampleCount integer 必要

Total number of samples analyzed.

uniqueSubclusterCount integer 必要

Total number of unique subcluster labels.

uniqueClusterCount integer 必要

Total number of unique clusters.

method string 必要

Method used for clustering.

usage ClusterTokenUsage 必要

Token usage for cluster analysis

inputTokenUsage integer 必要

input token usage

outputTokenUsage integer 必要

output token usage

totalTokenUsage integer 必要

total token usage

clusters InsightCluster[] 必要

List of clusters identified in the insights.

coordinates object

Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.

[key: string] ChartCoordinate

Coordinates for the analysis chart.

x integer 必要

X-axis coordinate.

y integer 必要

Y-axis coordinate.

size integer 必要

Size of the chart element.

tags object

Schedule's tags. Unlike properties, tags are fully mutable.

[key: string] string
properties object

Schedule's properties. Unlike tags, properties are add-only. Once added, a property cannot be removed.

[key: string] string
systemData object 必要

System metadata for the resource.

[key: string] string

Client error

標題

x-ms-error-code string

String error code indicating what went wrong.

主體

Content-Type: application/json
error Azure.Core.Foundations.Error 必要

The error object.

code string 必要

One of a server-defined set of error codes.

message string 必要

A human-readable representation of the error.

target string

The target of the error.

details Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

code string

One of a server-defined set of error codes.

innererror Azure.Core.Foundations.InnerError

Server error

標題

x-ms-error-code string

String error code indicating what went wrong.

主體

Content-Type: application/json
error Azure.Core.Foundations.Error 必要

The error object.

code string 必要

One of a server-defined set of error codes.

message string 必要

A human-readable representation of the error.

target string

The target of the error.

details Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

code string

One of a server-defined set of error codes.

innererror Azure.Core.Foundations.InnerError

Request

GET /schedules/{id} HTTP/1.1

回應

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
zh-tw
您的隱私權選擇
  • AI 免責聲明
  • 舊版本
  • 部落格
  • 參與
  • 隱私權
  • 消費者健康隱私
  • 使用規定
  • 商標
  • © Microsoft 2026